#!/busybox/sh

INPUT_DOCKER_FILE="$1"
INPUT_IMAGE_NAME="$2"

mkdir -p /kaniko/.docker
echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
/kaniko/executor \
	--context "${CI_PROJECT_DIR}" \
	--dockerfile "${CI_PROJECT_DIR}/${INPUT_DOCKER_FILE}" \
	--destination "${CI_REGISTRY_IMAGE}/${INPUT_IMAGE_NAME}"


