
# move to the script directory

SCRIPT_NAME=${BASH_SOURCE[0]}
SCRIPT_DIR=`dirname ${SCRIPT_NAME}`
ORIGINAL_DIR=${PWD}

cd $SCRIPT_DIR
SCRIPT_DIR=`pwd`

# extend PATH and LD_LIBRARY_PATH

export PATH="${SCRIPT_DIR}/scripts:${PATH}"

# aliases

alias qclean=qclean.bash

# other installations

if [[ -d /opt/intel/inteloneapi ]]; then
    source /opt/intel/inteloneapi/setvars.sh --force --include-intel-llvm
elif [[ -d /opt/intel/oneapi ]]; then
    source /opt/intel/oneapi/setvars.sh --force --include-intel-llvm
fi

# back to the original directory

export MAIN_DIR=${SCRIPT_DIR}
cd $ORIGINAL_DIR
